# Usage

## Selling gift cards

A gift card Product <concept-product> can sold on a Sale <sale:model-sale.sale>. When it is a service, the Gift Card <model-sale.gift_card> are created and sent automatically by email to the email address from the sale line or, if this has not been filled in, to the customer’s email address. When the Product is goods, the Gift Cards must be linked to the outgoing Stock Moves <model-stock.move> that send the gift card to the customer.

## Redeeming gift card

Existing Gift Cards <model-sale.gift_card> can be added once to a Sale <sale:model-sale.sale>. On quotation, a return line for the amount of each gift card is created.

Note

If the value of the redeemed gift cards exceeds the value of the sale then the sales total will be negative. This will normally result in a credit note being generated by the sale instead of an Invoice <account_invoice:model-account.invoice>.